| Home | Libraries | People | FAQ | More

#### bad_field_access

##### Synopsis

Defined in header `<boost/mysql/bad_field_access.hpp>`

    class bad_field_access :
        public std::exception

##### Member Functions

Name | Description
--- | ---
what | Returns the error message.

##### Description

Exception type thrown when trying to access a `field` or `field_view` with an incorrect type.

Convenience header `<boost/mysql.hpp>`